package dev.micle.totemofreviving.item.totem;

import dev.micle.totemofreviving.setup.Config;
import dev.micle.totemofreviving.item.charge.IronChargeItem;
import net.minecraft.world.item.ItemStack;

public class IronTotemItem extends TotemItem {
	public IronTotemItem() {
		super(Config.Server.getIronTotemConfig().getDurability());
	}
	
	public static String getName() {
		return "iron_totem";
	}
	
	@Override
	public boolean isCharge(ItemStack stack) {
		return (stack.getItem() instanceof IronChargeItem);
	}
}
